﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class GameManager : MonoBehaviour {

    public Text PlayerWon;
    public AudioClip[] Clips;
    private AudioSource audioSource;

    private int ScoreP1,ScoreP2;
    private bool hasPlayerWon;

    public GameObject p1win;
    public GameObject p2win;
    public GameObject draw;
    public bool gameEnd = false;

    private float timer;

    // Use this for initialization
    void Start () {
        audioSource = gameObject.GetComponent<AudioSource>();
        audioSource.clip = Clips[0];
        audioSource.Play();
	}
     void FixedUpdate()
    {
        if(StaticData.Player1Score >= 10)
        {
            gameEnd = true;
            p1win.SetActive(true);
            timerStart();
        }
        else if(StaticData.Player2Score >= 10)
        {
            gameEnd = true;
            p2win.SetActive(true);
            timerStart();
        }
        else if(StaticData.Minute >= 2)
        {
            if(StaticData.Player1Score > StaticData.Player2Score)
            {
                gameEnd = true;
                p1win.SetActive(true);
                timerStart();
            }
            else if(StaticData.Player2Score > StaticData.Player1Score)
            {
                gameEnd = true;
                p2win.SetActive(true);
                timerStart();
            }
            else
            {
                gameEnd = true;
                draw.SetActive(true);
                timerStart();
            }
        }
    }

    public void timerStart()
    {
        timer += 1 * Time.deltaTime;
    }
    public void PlayBlueScore()
    {
        audioSource.clip = Clips[1];
        audioSource.Play();

    }
    public void PlayRedScore()
    {
        audioSource.clip = Clips[2];
        audioSource.Play();

    }
    // Update is called once per frame
    void Update()
    {
        if (timer >= 5)
        {
            p1win.SetActive(false);
            p2win.SetActive(false);
            draw.SetActive(false);
            StaticData.Player1Score = 0;

            StaticData.Player2Score = 0;
            StaticData.Timer = 0;
            StaticData.Minute = 0;
            Application.LoadLevel("TitleScreen");
        }
    }
}
